<?
require 'sys/inc/start.php';
require 'sys/inc/compress.php';
require 'sys/inc/sess.php';
require 'sys/inc/home.php';
require 'sys/inc/settings.php';
require 'sys/inc/db_connect.php';
require 'sys/inc/ipua.php';
require 'sys/inc/fnc.php';
$banpage=true;
require 'sys/inc/user.php';
$set['title']='Правила';
require 'sys/inc/thead.php';
title();
err();
if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!preg_match('#info\.php#',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',preg_replace('#^http://[^/]*/#','/', $_SERVER['HTTP_REFERER']));
echo "<div class='wwe'>\n";
if (is_file(H.'sys/add/rules.txt'))
{
$f=file(H.'sys/add/rules.txt');
$k_page=k_page(count($f),$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*($page-1);
$end=$set['p_str']*$page;
for ($i=$start;$i<$end && $i<count($f);$i++)
echo ($i+1).') '.trim(stripcslashes(htmlspecialchars($f[$i])))."<br />\n";
echo "</div>\n";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
}

require 'sys/inc/tfoot.php';
?>